<?php
/**
 * phpaga
 *
 * Project status
 *
 * This is the project status management interface.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: prjstatus.php 857 2007-09-19 20:12:30Z florian $
 *
 * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once('./config.php');
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$rows = array();
$prjstat_title = null;

phpaga_header(array('menuitem' => 'administration'));

if (isset($_REQUEST['action']) && strlen($_REQUEST['action'])) {

    switch ($_REQUEST['action']) {

        case ACTION_ADD:

            if (isset($_REQUEST['prjstat_title']) && strlen($_REQUEST['prjstat_title'])) {

                $result = phpaga_projects_addPrjstatus($_REQUEST['prjstat_title']);

                if (PhPagaError::isError($result)) {
                    $result->printMessage();
                    $prjstat_title = $_REQUEST['prjstat_title'];
                } else {
                    phpaga_message(_('Project status added'),
                                   _('The project status has been inserted successfully.'));
                }
            }
            break;

        case ACTION_DELETE:

            if (isset ($_REQUEST['id']) && strlen ($_REQUEST['id'])) {

                $result = phpaga_projects_deletePrjstatus($_REQUEST['id']);

                if (PhPagaError::isError($result)) {

                    if ($result->getCode() == PHPAGA_ERR_DEL_DEPENDENCIES)
                        phpaga_error(_('The project status cannot be deleted, as it is still used by some projects.'));
                    else
                        $result->printMessage();

                } else {
                    phpaga_message(_('Project status deleted'),
                                   _('The project status has been successfully deleted.'));
                }
            }
            break;

        default:
            break;
    }
}

$rows = phpaga_projects_getPrjstatus();

if (PhPagaError::isError($rows))
    $rows->printMessage();

$prjstatus_tpl = new psmarty;

$prjstatus_tpl->assign('FORM_ACTION', basename($_SERVER['PHP_SELF']));
$prjstatus_tpl->assign('prjstat_title', $prjstat_title);
$prjstatus_tpl->assign('rows', $rows);

$prjstatus_tpl->display('prjstatus.tpl.html');

phpaga_footer();

?>